Subject: Re: [Trans] Summary of DISCUSS items for draft-ietf-trans-rfc6962-bis

From: "Salz, Rich" <[email-masked]>
Date: Wed, 3 Jun 2020 16:32:11 +0000

>    o  An Online Certificate Status Protocol (OCSP) [RFC6960] response
    >       extension (see Section 7.1.1), where the OCSP response is provided
    >       in the "CertificateStatus" message, provided that the TLS client
    >       included the "status_request" extension in the (extended)
    >       "ClientHello" (Section 8 of [RFC6066]).  [...]
    > 
    > This is not quite a TLS 1.3-compliant formulation -- TLS 1.3 does not use the
    > "CertificateStatus message", but rather uses the encoding of that structure in a
    > status_request extension in the CertificateEntry.
    > draft-ietf-trans-rfc6962-bis

    I haven't seen discussion of Ben's DISCUSS feedback

Oh come on now.

This draft has sat with no action for a very long time, and now someone is supposed to rouse the authors, and the working group, to address a new RFC that didn't exist (drafts did, yes).  Compare the timelines of the two documents.

Close the group, and let the draft lie or publish the damn thing.  What's going on now is just cruel.

---

From: Roman Danyliw <[email-masked]>
Date: Wed, 3 Jun 2020 18:10:42 +0000

Hi Rich!

I am sympathetic to how long this has taken and share responsibility in that.  More inline ...

> -----Original Message-----
> From: Salz, Rich <[email-masked]>
> Sent: Wednesday, June 3, 2020 12:32 PM
> To: Roman Danyliw <[email-masked]>; [email-masked]
> Subject: Re: [Trans] Summary of DISCUSS items for draft-ietf-trans-rfc6962-bis
> 
> This draft has sat with no action for a very long time, and now someone is
> supposed to rouse the authors, and the working group, to address a new RFC
> that didn't exist (drafts did, yes).  

I'm happy to process with this document in whatever way the working group wants.  It is the one thing keeping the group open.  

> Compare the timelines of the two documents.

Do you mean the telechat date of this document vs. RFC8466?  I'm not following the thinking as the final publication of TLS 1.3 predates the original telechat review of this document by a number of months.  Should this have been found earlier, perhaps.

** Ben's DISCUSS = 03/13/2019 for the 03/14/2019 telechat
** RFC8466 = 08/2018

> Close the group, and let the draft lie or publish the damn thing.  What's going

We can't publish it without clearing the final two discusses.

I appreciate the authors clearing Alissa, Mirja and Adam DISCUSS points in with -32, -33 and -34.

Roman

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 3 Jun 2020 21:23:37 +0000

By "compare the two timelines," I meant look at TLS 1.3 draft history and TRANS draft history.  If it doesn't mean anything to others, that's fine.

I still maintain this is cruelty.  But then, I'm not an author, nor a WG member, nor an ex-chair.

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 3 Jun 2020 21:24:55 +0000

>    We can't publish it without clearing the final two discusses.

Then tell the two IESG folks to just clear their discuss and let this "we're trying to die" group publish their EXPERIMENTAL document.

CC'ing the IESG on this thread.

---

From: Roman Danyliw <[email-masked]>
Date: Wed, 3 Jun 2020 22:34:14 +0000

Hi Rich!

> Sent: Wednesday, June 3, 2020 5:25 PM
> Cc: [email-masked]
> Then tell the two IESG folks to just clear their discuss and let this "we're trying
> to die" group publish their EXPERIMENTAL document.

[snip]

Yes, this document has been under review for quite some time.  Nevertheless, the above proposed strategy isn't the resolution process.  The feedback provided by the respective ADs in their discuss ballots needs a response (to Ben; and previously Alexey and now Murray) if the document is to progress.  There were 5 discusses on the document originally.  In my review of the history, where iteration occurred/text edits were made, the discusses positions were cleared (3 of those 5; Alissa, Mirja, Adam).

If edits in -32, -33, -34 address an open discussion position, it would be helpful to point that out.  I didn't see that in my review.  Likewise, if there is a need to "discuss the discuss", by all means, let's have that conversation.  FWIW, I added the needed YES ballot after the previous AD's YES timed out to let this document proceed, but I support the current open discusses.

Regards,
Roman

---

From: Paul Wouters <[email-masked]>
Date: Wed, 3 Jun 2020 18:51:02 -0400 (EDT)

> I still maintain this is cruelty.  But then, I'm not an author, nor a WG member, nor an ex-chair.

I'm going to poke the right people to get those DISCUSS items cleared.

As a chair, I should have picked this up sooner. My apologies to everyone.

Paul

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 3 Jun 2020 23:14:21 +0000

>    I'm going to poke the right people to get those DISCUSS items cleared.

Thank you.

And I apologize to Roman if my comments could have been taken as personal criticism; that wasn't my intent. In fact, he deserves thanks for picking this up.

---

From: Roman Danyliw <[email-masked]>
Date: Thu, 4 Jun 2020 14:01:57 +0000

Hi Rich!

> From: Trans <[email-masked]> On Behalf Of Salz, Rich
> Sent: Wednesday, June 3, 2020 7:14 PM
> To: Paul Wouters <[email-masked]>; Salz, Rich
> <rsalz=[email-masked]>
> Cc: [email-masked]
> And I apologize to Roman if my comments could have been taken as personal
> criticism; that wasn't my intent. In fact, he deserves thanks for picking this up.

Thanks, but no apology is needed -- I didn't take it that way.  Frankly, I'm appreciative of the passion and interest.  It's exactly what we need to close this work.

Roman